## kmerresistance 2.2.0

=== Makefile ===
CFLAGS = -Wall -O3 -std=c99
BINS = kmerresistance
LIBS = pherror.o qseqs.o

.c .o:
	$(CC) $(CFLAGS) -c -o $@ $<

all: $(BINS)

kmerresistance: KmerResistance.c $(LIBS)
	$(CC) $(CFLAGS) -o $@ $< $(LIBS) -lm

clean:
	$(RM) $(BINS) $(LIBS)

pherror.o: pherror.h
qseqs.o: qseqs.h pherror.h

=== debian/changelog ===
kmerresistance (2.2.0-3ubuntu1) jammy; urgency=medium

  * d/control: Use kma's Architecture list for kmerresistance as well,
    effectively dropping support for 32-bit architectures.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 06 Jan 2022 15:22:38 -0500

kmerresistance (2.2.0-3) unstable; urgency=medium

  * d/control: build depends on kma; this is not a real build dependency,
    but a trick to prevent build of kmerresistance on architectures not
    supported by kma.
  * d/salsa-ci.yml: disable i386 checks; kma will become missing, preventing
    a proper build to happen.
  * inject CPPFLAGS through hardening.patch; fortify kmerresistance.
  * d/control: add myself to uploaders
  * Standards-Version: 4.6.0 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Jan 2022 23:57:29 +0100

kmerresistance (2.2.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 12:01:51 +0100

kmerresistance (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * d/watch: Upstream is using proper versioning now
  * Use upstream Makefile including (with patch for propagation of options)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jun 2019 08:13:28 +0200

kmerresistance (2.0+git20180205.26467e9-2) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS: Use a CC from dpkg's buildtools.mk. (Closes: #928895)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 12 May 2019 20:39:44 +0200

kmerresistance (2.0+git20180205.26467e9-1) unstable; urgency=medium

  * Initial release (Closes: #922759)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Feb 2019 12:58:24 +0100

=== debian/control ===
Source: kmerresistance
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               kma
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/kmerresistance
Vcs-Git: https://salsa.debian.org/med-team/kmerresistance.git
Homepage: https://bitbucket.org/genomicepidemiology/kmerresistance
Rules-Requires-Root: no

Package: kmerresistance
Architecture: any-amd64 arm64 mips64el ppc64el s390x alpha ia64 ppc64 riscv64 sparc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         kma
Description: correlates mapped genes with the predicted species of WGS samples
 KmerResistance correlates mapped genes with the predicted species of WGS
 samples, where this allows for identification of genes in samples which
 have been poorly sequenced or high accuracy predictions for samples with
 contamination. KmerResistance has one dependency, namely KMA to perform
 the mapping, which is also freely available.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

#override_dh_auto_build:
#	$(CC) $(CFLAGS) -o kmerresistance KmerResistance.c -lm $(LDFLAGS)

=== debian/watch ===
version=4

https://bitbucket.org/genomicepidemiology/kmerresistance/downloads/?tab=tags .*/@ANY_VERSION@@ARCHIVE_EXT@
